#include <string>
#include <algorithm>
#include <cctype>
#include "pUtils.h"

namespace pUtils {

  using std::string;
  using std::transform;
  using std::tolower;
  using std::toupper;

  string ToLower(string const & sorig)
  {
    string temp = sorig;
    transform (temp.begin(), temp.end(), temp.begin(), tolower);
    return temp;
  }

  string ToUpper(string const & sorig)
  {
    string temp = sorig;
    transform (temp.begin(), temp.end(), temp.begin(), toupper);
    return temp;
  }

  bool IsPoundChar(char c)
  {
    if (c == '#'){
      return true;
    }
    
    return false;
  }
  
}
